org.eclnt.jsfserver.util

## Class StackedMethodExpression

- java.lang.Object
- - MethodExpression
  - - org.eclnt.jsfserver.util.StackedMethodExpression

-     public class StackedMethodExpression
      extends MethodExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackedMethodExpression(Application app, java.lang.String mbString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object arg0)`
    `java.lang.String` | `getExpressionString()`
    `MethodInfo` | `getMethodInfo(ELContext elContext)`
    `int` | `hashCode()`
    `java.lang.Object` | `invoke(ELContext elContext, java.lang.Object[] args)`
    `boolean` | `isLiteralText()`
    `void` | `processAction(ActionEvent event)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StackedMethodExpression

          public StackedMethodExpression(Application app,
                                         java.lang.String mbString)

  - ### Method Detail

    - #### getMethodInfo

          public MethodInfo getMethodInfo(ELContext elContext)
                                   throws java.lang.NullPointerException,
                                          PropertyNotFoundException,
                                          MethodNotFoundException,
                                          ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `MethodNotFoundException`
        `ELException`

    - #### invoke

          public java.lang.Object invoke(ELContext elContext,
                                         java.lang.Object[] args)
                                  throws java.lang.NullPointerException,
                                         PropertyNotFoundException,
                                         MethodNotFoundException,
                                         ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `MethodNotFoundException`
        `ELException`

    - #### equals

          public boolean equals(java.lang.Object arg0)

    - #### getExpressionString

          public java.lang.String getExpressionString()

    - #### hashCode

          public int hashCode()

    - #### isLiteralText

          public boolean isLiteralText()

    - #### processAction

          public void processAction(ActionEvent event)
                             throws AbortProcessingException

      Throws:
        `AbortProcessingException`

    - #### toString

          public java.lang.String toString()

Copyright © CaptainCasa Gmbh. All Rights Reserved.